Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util.statistics
Class StatisticsDocumentCreatorAdapter

    java.lang.Object
      oracle.ifs.core.util.statistics.StatisticsDocumentCreatorAdapter

All Implemented Interfaces:
  StatisticsDocumentCreator

    public class StatisticsDocumentCreatorAdapter

extends java.lang.Object
implements StatisticsDocumentCreator

A StatisticsDocumentCreatorAdapter provides a default (empty) implementation of the StatisticsDocumentCreator interface.

Constructor Summary
`StatisticsDocumentCreatorAdapter()` Constructs a StatisticsDocumentCreator.

Method Summary
`void` | `createStatisticsDocument(LibrarySession session, java.lang.String statsString, java.lang.String nodeName, java.lang.String folderPath)` Creates an HTML document containing the statistics information, and stored it in the repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticsDocumentCreatorAdapter

    public StatisticsDocumentCreatorAdapter()

  Constructs a StatisticsDocumentCreator.

Method Detail

### createStatisticsDocument

    public void createStatisticsDocument(LibrarySession session,
                                         java.lang.String statsString,
                                         java.lang.String nodeName,
                                         java.lang.String folderPath)
                                  throws IfsException

  Description copied from class: `StatisticsDocumentCreatorAdapter`
  Creates an HTML document containing the statistics information, and stored it in the repository.

  Specified by:
    `createStatisticsDocument` in interface `StatisticsDocumentCreator`
  Parameters:
    `session` - the session context
    `statsString` - the collected statistics information
    `nodeName` - the Node name where the statistics were gathered
    `folderPath` - the IFS path to the parent folder for the document
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD